Debian Bug report logs - #657395
ITP: cinnamon -- Cinnamon desktop

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Carlos C Soto <csoto@sia-solutions.com>

Date: Wed, 25 Jan 2012 23:03:05 UTC

Owned by: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Severity: wishlist

Fixed in version cinnamon/1.6.2-1

Done: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Wed, 25 Jan 2012 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos C Soto <csoto@sia-solutions.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 25 Jan 2012 23:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos C Soto <csoto@sia-solutions.com>
To: submit@bugs.debian.org
Subject: RFP: cinnamon -- Cinnamon desktop
Date: Wed, 25 Jan 2012 17:01:28 -0600
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org



Package name: cinnamon
Version: 1.2
URL: http://cinnamon.linuxmint.com/
License: GPL
Description: Cinnamon is a Linux desktop which provides advanced innovative 
features and a traditional user experience.

The desktop layout is similar to Gnome 2.
The underlying technology is forked from Gnome Shell.
The emphasis is put on making users feel at home and providing them with an easy 
to use and comfortable desktop experience.

There are a PPA for Ubuntu:
https://launchpad.net/~merlwiz79/+archive/cinnamon-ppa 
<https://launchpad.net/%7Emerlwiz79/+archive/cinnamon-ppa>

It has been packaged for Fedora, OpenSUSE, ArchLinux and other distros:
http://cinnamon.linuxmint.com/?page_id=61

The source code is available at the Git:
https://github.com/linuxmint/Cinnamon




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Sat, 25 Feb 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas van den Dikkenberg <bas@dikkenberg.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 25 Feb 2012 19:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 657395@bugs.debian.org (full text, mbox):

From: Bas van den Dikkenberg <bas@dikkenberg.net>
To: "657395@bugs.debian.org" <657395@bugs.debian.org>
Subject: ITP: cinnamon -- Cinnamon desktop
Date: Sat, 25 Feb 2012 19:12:04 +0000
[Message part 1 (text/plain, inline)]
Package: wnpp

Severity: wishlist







Package name: cinnamon

Version: 1.2

URL: http://cinnamon.linuxmint.com/

License: GPL

Description: Cinnamon is a Linux desktop which provides advanced innovative

features and a traditional user experience.



The desktop layout is similar to Gnome 2.

The underlying technology is forked from Gnome Shell.

The emphasis is put on making users feel at home and providing them with an easy

to use and comfortable desktop experience.



There are a PPA for Ubuntu:

https://launchpad.net/~merlwiz79/+archive/cinnamon-ppa<https://launchpad.net/%7Emerlwiz79/+archive/cinnamon-ppa>

<https://launchpad.net/%7Emerlwiz79/+archive/cinnamon-ppa>



It has been packaged for Fedora, OpenSUSE, ArchLinux and other distros:

http://cinnamon.linuxmint.com/?page_id=61



The source code is available at the Git:

https://github.com/linuxmint/Cinnamon

[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: cinnamon -- Cinnamon desktop' from 'RFP: cinnamon -- Cinnamon desktop' Request was from Bas van den Dikkenberg <bas@dikkenberg.net> to control@bugs.debian.org. (Sat, 25 Feb 2012 19:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Fri, 09 Mar 2012 00:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 09 Mar 2012 00:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 657395@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 657395@bugs.debian.org
Cc: Bas van den Dikkenberg <bas@dikkenberg.net>
Subject: how is it going?
Date: Thu, 8 Mar 2012 19:51:07 -0500
Hi Bas, thanks for the ITP -- I wondered how is it going with the
progress?   any major showstoppers?
-- 
=------------------------------------------------------------------=
Keep in touch                                     www.onerussian.com
Yaroslav Halchenko                 www.ohloh.net/accounts/yarikoptic




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Mon, 26 Mar 2012 18:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Meik Hellmund <Meik.Hellmund@math.uni-leipzig.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 26 Mar 2012 18:36:19 GMT) Full text and rfc822 format available.

Message #22 received at 657395@bugs.debian.org (full text, mbox):

From: Meik Hellmund <Meik.Hellmund@math.uni-leipzig.de>
To: 657395@bugs.debian.org
Subject: cinnamon
Date: Mon, 26 Mar 2012 20:29:08 +0200

Just a remark: the "Linux Mint Debian Edition (LMDE) " has cinnamon 
packages which work with a recent (March 2012) Debian Sid installation.

Just add the following line to sources.list 
  deb http://packages.linuxmint.com/ debian main upstream import
and do
  apt-get install cinnamon muffin

This installs 
   cinnamon, gir1.2-muffin-3.0, libmuffin0, muffin-common, muffin
from the LMDE repository and it works fine. 
Perhaps  these packages can be used as a starting point 
for native Debian packages? 

- Meik




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Mon, 21 May 2012 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 May 2012 08:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 657395@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Bas van den Dikkenberg <bas@dikkenberg.net>, 657395@bugs.debian.org
Subject: Re: Bug#657395: ITP: cinnamon -- Cinnamon desktop
Date: Mon, 21 May 2012 09:21:43 +0100
Hi Bas,

How is the package going? Are you preparing the packaging in a VCS? Is there a
public copy of it for those who want to see how far along things are?  Are you
planning to maintain this solo, or as part of a team? Would you be open to the
idea of CollabMaint[1] at the very least?

The squeeze freeze is likely very close.

<http://wiki.debian.org/Teams/CollabMaint>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Tue, 22 May 2012 21:16:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 May 2012 21:16:05 GMT) Full text and rfc822 format available.

Message #32 received at 657395@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Bas van den Dikkenberg <bas@dikkenberg.net>
Cc: 657395@bugs.debian.org
Subject: Re: your mail
Date: Tue, 22 May 2012 22:10:15 +0100
[Message part 1 (text/plain, inline)]
Hi Bas,

How is progress going?  The wheezy freeze is getting very close. It would be
good to have some cinnamon packages in Debian before that, ideally in the next
week or so.  Are you planning to use a version control system for the
packaging? If so do you have a WIP of your packaging anywhere?  Are you
planning to maintain this as part of a team? If you weren't, would you consider
it, in particular the collab-maint group?
<http://wiki.debian.org/Teams/CollabMaint>

[ sorry if you get this twice - I could have sworn I wrote this a few days ago
 but can't find it in the BTS ]

Thanks
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Tue, 22 May 2012 21:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas van den Dikkenberg <bas@dikkenberg.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 May 2012 21:24:09 GMT) Full text and rfc822 format available.

Message #37 received at 657395@bugs.debian.org (full text, mbox):

From: Bas van den Dikkenberg <bas@dikkenberg.net>
To: Jon Dowland <jmtd@debian.org>
Cc: "657395@bugs.debian.org" <657395@bugs.debian.org>
Subject: RE: your mail
Date: Tue, 22 May 2012 21:20:43 +0000
Wotj [aclahe are you talking

-----Oorspronkelijk bericht-----
Van: Jon Dowland [mailto:jmtd@debian.org] 
Verzonden: dinsdag 22 mei 2012 23:10
Aan: Bas van den Dikkenberg
CC: 657395@bugs.debian.org
Onderwerp: Re: your mail

Hi Bas,

How is progress going?  The wheezy freeze is getting very close. It would be good to have some cinnamon packages in Debian before that, ideally in the next week or so.  Are you planning to use a version control system for the packaging? If so do you have a WIP of your packaging anywhere?  Are you planning to maintain this as part of a team? If you weren't, would you consider it, in particular the collab-maint group?
<http://wiki.debian.org/Teams/CollabMaint>

[ sorry if you get this twice - I could have sworn I wrote this a few days ago  but can't find it in the BTS ]

Thanks




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Wed, 23 May 2012 10:54:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 May 2012 10:54:44 GMT) Full text and rfc822 format available.

Message #42 received at 657395@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Bas van den Dikkenberg <bas@dikkenberg.net>, 657395@bugs.debian.org
Subject: Re: Bug#657395: your mail
Date: Wed, 23 May 2012 11:53:39 +0100
On Tue, May 22, 2012 at 09:20:43PM +0000, Bas van den Dikkenberg wrote:
> Wotj [aclahe are you talking

Sorry I don't understand. I'm talking about cinnamon. 





Owner recorded as bas@dikkenberg.net. Request was from Nathan Handler <nhandler@ubuntu.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 17:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bas@dikkenberg.net:
Bug#657395; Package wnpp. (Sat, 09 Jun 2012 08:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas van den Dikkenberg <bas@dikkenberg.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bas@dikkenberg.net. (Sat, 09 Jun 2012 08:54:06 GMT) Full text and rfc822 format available.

Message #49 received at 657395@bugs.debian.org (full text, mbox):

From: Bas van den Dikkenberg <bas@dikkenberg.net>
To: "657395@bugs.debian.org" <657395@bugs.debian.org>
Subject: I don't hav intention to packages cinnamon
Date: Sat, 9 Jun 2012 08:50:03 +0000
[Message part 1 (text/plain, inline)]
I don't have intention to packages cinnamon, I think it's to complicated for to packages this one.


Bas

[Message part 2 (text/html, inline)]

Removed annotation that Bug was owned by bas@dikkenberg.net. Request was from Bas van den Dikkenberg <bas@dikkenberg.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 08:54:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'RTP: cinnamon -- Cinnamon desktop' from 'ITP: cinnamon -- Cinnamon desktop' Request was from Bas van den Dikkenberg <bas@dikkenberg.net> to control@bugs.debian.org. (Sat, 09 Jun 2012 08:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: cinnamon -- Cinnamon desktop' from 'RTP: cinnamon -- Cinnamon desktop' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 09 Jun 2012 18:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Tue, 12 Jun 2012 08:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Turner <c.turner@ulster.ac.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 12 Jun 2012 08:57:12 GMT) Full text and rfc822 format available.

Message #60 received at 657395@bugs.debian.org (full text, mbox):

From: Colin Turner <c.turner@ulster.ac.uk>
To: 657395@bugs.debian.org
Subject: Working Packages
Date: Tue, 12 Jun 2012 09:19:59 +0100
Hi All,

I wish I had time to build these packages, but I did find some here:

http://forums.debian.net/viewtopic.php?f=6&t=79690

and they work on Wheezy...

a thing of beauty.

CT.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Sat, 16 Jun 2012 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Turner <ct@piglets.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 16 Jun 2012 14:06:03 GMT) Full text and rfc822 format available.

Message #65 received at 657395@bugs.debian.org (full text, mbox):

From: Colin Turner <ct@piglets.com>
To: 657395@bugs.debian.org
Subject: Metacity note
Date: Sat, 16 Jun 2012 14:15:35 +0100
Note that to work, the packages above need a metacity gconf setting:

gconftool-2 -s -t string /apps/metacity/general/titlebar_font 'Sans Bold 10'

without this, the settings dialog fails to open.

CT.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Wed, 04 Jul 2012 12:30:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 04 Jul 2012 12:30:37 GMT) Full text and rfc822 format available.

Message #70 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 657395@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITP: cinnamon -- Cinnamon desktop
Date: Wed, 04 Jul 2012 13:32:32 +0200
[Message part 1 (text/plain, inline)]
retitle 657395 ITP: cinnamon -- Cinnamon desktop
owner 657395 !
thanks


Hi all!

	It is too bad that cinnamon is not in Debian. I am going package it.

	Cheers,

Nicolas

[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'ITP: cinnamon -- Cinnamon desktop' from 'RFP: cinnamon -- Cinnamon desktop' Request was from Nicolas Bourdaud <nicolas.bourdaud@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 12:36:53 GMT) Full text and rfc822 format available.

Owner recorded as Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. Request was from Nicolas Bourdaud <nicolas.bourdaud@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 12:36:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Fri, 06 Jul 2012 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Jul 2012 17:27:06 GMT) Full text and rfc822 format available.

Message #79 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: submit@bugs.debian.org
Cc: 657395@bugs.debian.org
Subject: RFS: cinnamon/1.4+up3+repack-1 [ITP]
Date: Fri, 06 Jul 2012 19:22:07 +0200
[Message part 1 (text/plain, inline)]
 Package: sponsorship-requests
 Severity: normal



Dear mentors,

	I am looking for a sponsor for my package "cinnamon". This is the
desktop environment developed by the Linux Mint team which is basically
a fork of gnome-shell in order to have the feeling of GNOME2 while
having the modern infrastructure of GNOME3. This package requires its
window manager called muffin (that needs to be sponsored as well. see
its RFS: #680544)

 * Package name    : cinnamon
   Version         : 1.4+up3+repack-1
   Upstream Author : Linux Mint <root@linuxmint.com>
 * URL             : http://cinnamon.linuxmint.com
 * License         : GPL-2+
   Section         : x11

  It builds those binary packages:

    cinnamon   - Innovative and comfortable desktop
 cinnamon-common - Innovative and comfortable desktop (Common data files)
 cinnamon-dbg - Innovative and comfortable desktop (Debugging symbols)

  To access further information about this package, please visit the
following URL:

  http://mentors.debian.net/package/cinnamon


  Alternatively, one can download the package with dget using this command:

    dget -x
http://mentors.debian.net/debian/pool/main/c/cinnamon/cinnamon_1.4+up3+repack-1.dsc


Cheers,


Nicolas

[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 657395: 680546 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 06 Jul 2012 20:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#657395; Package wnpp. (Fri, 20 Jul 2012 21:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gregor Jasny <gjasny@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Fri, 20 Jul 2012 21:33:03 GMT) Full text and rfc822 format available.

Message #86 received at 657395@bugs.debian.org (full text, mbox):

From: Gregor Jasny <gjasny@googlemail.com>
To: 657395@bugs.debian.org
Subject: cinnamon needs to build depend on gnome-common
Date: Fri, 20 Jul 2012 23:31:12 +0200
Hello Nicolas,

I tried to compile your package on my unclean desktop system. There I
catched the following error:

   dh_testdir
   debian/rules override_dh_autoreconf
make[1]: Entering directory `/home/gjasny/src/debian/cinnamon-1.4+up3+repack'
dh_autoreconf --as-needed ./autogen.sh
You need to install gnome-common from GNOME Git (or from
your OS vendor's package manager).
dh_autoreconf: ./autogen.sh returned exit code 1
make[1]: *** [override_dh_autoreconf] Error 2
make[1]: Leaving directory `/home/gjasny/src/debian/cinnamon-1.4+up3+repack'

After I installed gnome-common, everything built as expected.

Thanks,
Gregor



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Mon, 23 Jul 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 23 Jul 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #91 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Gregor Jasny <gjasny@googlemail.com>, 657395@bugs.debian.org
Subject: Re: Bug#657395: cinnamon needs to build depend on gnome-common
Date: Mon, 23 Jul 2012 21:11:28 +0200
[Message part 1 (text/plain, inline)]
On 20/07/2012 23:31, Gregor Jasny wrote:
> Hello Nicolas,
> 
> I tried to compile your package on my unclean desktop system. There I
> catched the following error:
> 
>    dh_testdir
>    debian/rules override_dh_autoreconf
> make[1]: Entering directory `/home/gjasny/src/debian/cinnamon-1.4+up3+repack'
> dh_autoreconf --as-needed ./autogen.sh
> You need to install gnome-common from GNOME Git (or from
> your OS vendor's package manager).
> dh_autoreconf: ./autogen.sh returned exit code 1
> make[1]: *** [override_dh_autoreconf] Error 2
> make[1]: Leaving directory `/home/gjasny/src/debian/cinnamon-1.4+up3+repack'
> 
> After I installed gnome-common, everything built as expected.
> 
> Thanks,
> Gregor

Thanks, for spotting this. I have uploaded a fix in the git repository:
git://github.com/nbourdau/pkg-cinnamon.git

I am going to work again on eliminating the remaining lintian warnings
this week and the coming weekend. I am also going to find out under
which umbrella cinnamon would be better maintained.

Cheers,

Nicolas




[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Sun, 29 Jul 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 29 Jul 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #96 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 680546@bugs.debian.org, debian-mentors@lists.debian.org
Cc: 657395@bugs.debian.org, control@bugs.debian.org
Subject: RFS: cinnamon/1.5.2-1 [ITP] -- Innovative and comfortable desktop
Date: Mon, 30 Jul 2012 00:20:14 +0200
[Message part 1 (text/plain, inline)]
retitle 680546 RFS: cinnamon/1.5.2-1 [ITP]
thanks

Dear mentors,

	I am looking for a sponsor for my package "cinnamon". This is the
desktop environment developed by the Linux Mint team which is basically
a fork of gnome-shell in order to have the feeling of GNOME2 while
having the modern infrastructure of GNOME3. This package requires its
window manager called muffin (that needs to be sponsored as well. see
its RFS: #680544)

 * Package name    : cinnamon
   Version         : 1.5.2-1
   Upstream Author : Linux Mint <root@linuxmint.com>
 * URL             : http://cinnamon.linuxmint.com
 * License         : GPL-2+
   Section         : x11

It builds those binary packages:

cinnamon   - Innovative and comfortable desktop
cinnamon-common - Innovative and comfortable desktop (Common data files)
cinnamon-dbg - Innovative and comfortable desktop (Debugging symbols)

To access further information about this package, please visit the
following URL:
  http://mentors.debian.net/package/cinnamon

Alternatively, one can download the package with dget using this command:

dget -x
http://mentors.debian.net/debian/pool/main/c/cinnamon/cinnamon_1.5.2-1.dsc


This is a new package but if you had reviewed the previous request for
sponsor 20 days ago, this package has an updated upstream.
It builds cleanly in a chrooted environment.

Regards,

Nicolas

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#657395; Package wnpp. (Thu, 27 Sep 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Donald J. Barry" <don@isc.astro.cornell.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Thu, 27 Sep 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #101 received at 657395@bugs.debian.org (full text, mbox):

From: "Donald J. Barry" <don@isc.astro.cornell.edu>
To: 657395@bugs.debian.org
Subject: RFS: cinnamon/1.5.2-1 [ITP] -- Innovative and comfortable desktop
Date: Thu, 27 Sep 2012 14:36:56 -0400
May I strongly request that a DD sponsor cinnamon (and muffin) so that
it is in Wheezy?  Many of us, long time Debian advocates and
ambassadors, simply do not desire to move from GNOME2 to (vanilla)
GNOME3.  Cinnamon is a critical package to preserve efficiency and our
workflows within GNOME3.

It would really be a shame to drop the ball on this -- this is one bit
of choice that I think is quite essential for Wheezy, and deserves to
get in despite the freeze.

Cheers,

-Don



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Fri, 28 Sep 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 28 Sep 2012 16:00:03 GMT) Full text and rfc822 format available.

Message #106 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 680546@bugs.debian.org
Cc: 657395@bugs.debian.org, control@bugs.debian.org
Subject: Bug#680546: RFS: cinnamon/1.6.1-1 [ITP] -- Innovative and comfortable desktop
Date: Fri, 28 Sep 2012 17:56:49 +0200
[Message part 1 (text/plain, inline)]
retitle 680546 RFS: cinnamon/1.6.1-1 [ITP]
thanks

Dear mentors,

	I am looking for a sponsor for my package "cinnamon" for experimental.
This is the desktop environment developed by the Linux Mint team which
is basically a fork of gnome-shell in order to have the feeling of
GNOME2 while having the modern infrastructure of GNOME3. This package
requires its window manager called muffin (that needs to be sponsored as
well. see muffin ITP: http://bugs.debian.org/661270
                          muffin RFS: http://bugs.debian.org/680544)

	I previously made a sponsorship request concerning an earlier version
of cinnamon but it was in the middle of summer so many sponsor were on
vacation. I hope to be more successful now and that cinnamon will be
uploaded to experimental soon. It has indeed showed quite a lot of
interest from various people.

 * Package name    : cinnamon
   Version         : 1.6.1-1
   Upstream Author : Linux Mint <root@linuxmint.com>
 * URL             : http://cinnamon.linuxmint.com
 * License         : GPL-2+
   Section         : x11

It builds those binary packages:

cinnamon   - Innovative and comfortable desktop
cinnamon-common - Innovative and comfortable desktop (Common data files)
cinnamon-dbg - Innovative and comfortable desktop (Debugging symbols)

To access further information about this package, please visit the
following URL:
  http://mentors.debian.net/package/cinnamon

Alternatively, one can download the package with dget using this command:

dget -x
http://mentors.debian.net/debian/pool/main/c/cinnamon/cinnamon_1.6.1-1.dsc

Best regards,

Nicolas Bourdaud



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#657395; Package wnpp. (Sun, 30 Sep 2012 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Sun, 30 Sep 2012 07:09:03 GMT) Full text and rfc822 format available.

Message #111 received at 657395@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, 680546@bugs.debian.org
Cc: 657395@bugs.debian.org
Subject: Re: Bug#680546: RFS: cinnamon/1.6.1-1 [ITP] -- Innovative and comfortable desktop
Date: Sun, 30 Sep 2012 15:06:27 +0800
On 09/28/2012 11:56 PM, Nicolas Bourdaud wrote:
> retitle 680546 RFS: cinnamon/1.6.1-1 [ITP]
> thanks
>
> Dear mentors,
>
> 	I am looking for a sponsor for my package "cinnamon" for experimental.
> This is the desktop environment developed by the Linux Mint team which
> is basically a fork of gnome-shell in order to have the feeling of
> GNOME2 while having the modern infrastructure of GNOME3. This package
> requires its window manager called muffin (that needs to be sponsored as
> well. see muffin ITP:http://bugs.debian.org/661270
>                            muffin RFS:http://bugs.debian.org/680544)
>
> 	I previously made a sponsorship request concerning an earlier version
> of cinnamon but it was in the middle of summer so many sponsor were on
> vacation. I hope to be more successful now and that cinnamon will be
> uploaded to experimental soon. It has indeed showed quite a lot of
> interest from various people.
>
>   * Package name    : cinnamon
>     Version         : 1.6.1-1
>     Upstream Author : Linux Mint<root@linuxmint.com>
>   * URL             :http://cinnamon.linuxmint.com
>   * License         : GPL-2+
>     Section         : x11
>
> It builds those binary packages:
>
> cinnamon   - Innovative and comfortable desktop
> cinnamon-common - Innovative and comfortable desktop (Common data files)
> cinnamon-dbg - Innovative and comfortable desktop (Debugging symbols)
>
> To access further information about this package, please visit the
> following URL:
>    http://mentors.debian.net/package/cinnamon
>
> Alternatively, one can download the package with dget using this command:
>
> dget -x
> http://mentors.debian.net/debian/pool/main/c/cinnamon/cinnamon_1.6.1-1.dsc
>
> Best regards,
>
> Nicolas Bourdaud
Hi,

Your packaging git is on Github, any reason why you don't use Alioth 
instead?
I've tried it (currently running it on my Wheezy laptop), and I like it! :)

Did you take the packaging work directly from Mint? What exactly did you
change from them?

Cheers,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Sun, 30 Sep 2012 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 Sep 2012 14:33:06 GMT) Full text and rfc822 format available.

Message #116 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Thomas Goirand <zigo@debian.org>
Cc: 680546@bugs.debian.org, 657395@bugs.debian.org
Subject: Re: Bug#680546: RFS: cinnamon/1.6.1-1 [ITP] -- Innovative and comfortable desktop
Date: Sun, 30 Sep 2012 16:29:55 +0200
[Message part 1 (text/plain, inline)]
Hi Thomas!

On 30/09/2012 09:06, Thomas Goirand wrote:
> Your packaging git is on Github, any reason why you don't use Alioth
> instead?

I would definitively like to use Alioth instead of GitHub but when I did
the first version I was not sure about using collab-maint or a dedicated
project. Moreover at the time of this first version, I was not a DM yet
(I am now since 6 weeks) and I needed an advocate to join collab-maint
(if using collab-maint). So I thought it was better to find a sponsor to
figure out with him where to host the packaging sources.

> I've tried it (currently running it on my Wheezy laptop), and I like it! :)

I am happy that you like it. I think it is a good compromise between
GNOME 2 and GNOME shell and actually it best suits my need for daily
work: this is why I've packaged it.


> Did you take the packaging work directly from Mint? What exactly did you
> change from them?

Actually, I started initially from their package but I quickly
discovered that they did not put too much attention to the Debian
packaging: they've imported it from the Ubuntu gnome-shell package and
just minimally adapted to the need of the fork. There were few glitches.

So at that point I decided mainly to reuse only the dependency part of
their control file and to redo the rest:
Updating the new Debian policy
using dh sequencer instead of CDBS
Updating to the compatibility level of debhelper 9
Removing the useless break/replace fields
Making debian/copyright DEP5 compliant
fixing lintian warning/error
adding a working debian/watch
Adding a debug package
applied few patches that have been accepted stream in between
...

Well you can consider that besides reusing an updated dependency lists
in the control file and the same subdivision of packages, everything
else have been changed.

Do you consider to sponsor it? :-)


Cheers,

Nicolas Bourdaud

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Bug#657395; Package wnpp. (Sun, 30 Sep 2012 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicolas Bourdaud <nicolas.bourdaud@gmail.com>. (Sun, 30 Sep 2012 16:03:03 GMT) Full text and rfc822 format available.

Message #121 received at 657395@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>, 680546@bugs.debian.org
Cc: 657395@bugs.debian.org
Subject: Re: Bug#680546: RFS: cinnamon/1.6.1-1 [ITP] -- Innovative and comfortable desktop
Date: Sun, 30 Sep 2012 23:58:40 +0800
On 09/30/2012 10:29 PM, Nicolas Bourdaud wrote:
> Do you consider to sponsor it? :-) 
Well, before considering sponsoring that one, I would
first do the sponsoring of muffin, since your package
build-depends on it.

But anyway, I know nothing about GUI packaging, so
I don't think I would be the correct person to ask for
such sponsoring.

Did you ping the Gnome packaging team? What do
they think about this package? Did you try to join
their team, or talk to them?

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#657395; Package wnpp. (Sun, 30 Sep 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 30 Sep 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #126 received at 657395@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: Thomas Goirand <zigo@debian.org>
Cc: 680546@bugs.debian.org, 657395@bugs.debian.org
Subject: Re: Bug#680546: RFS: cinnamon/1.6.1-1 [ITP] -- Innovative and comfortable desktop
Date: Sun, 30 Sep 2012 19:08:10 +0200
[Message part 1 (text/plain, inline)]
On 30/09/2012 17:58, Thomas Goirand wrote:
> Did you ping the Gnome packaging team? What do
> they think about this package? Did you try to join
> their team, or talk to them?

Well, I thing I should have tried earlier... However this is done now: I
have just sent an email to debian-gtk-gnome mailing list. :-)  I am
awaiting for an answer.

Cheers,

Nicolas

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 02 Nov 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Nicolas Bourdaud <nicolas.bourdaud@gmail.com>:
You have taken responsibility. (Sat, 17 Nov 2012 10:03:11 GMT) Full text and rfc822 format available.

Notification sent to Carlos C Soto <csoto@sia-solutions.com>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 10:03:11 GMT) Full text and rfc822 format available.

Message #133 received at 657395-close@bugs.debian.org (full text, mbox):

From: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
To: 657395-close@bugs.debian.org
Subject: Bug#657395: fixed in cinnamon 1.6.2-1
Date: Sat, 17 Nov 2012 10:00:08 +0000
Source: cinnamon
Source-Version: 1.6.2-1

We believe that the bug you reported is fixed in the latest version of
cinnamon, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolas Bourdaud <nicolas.bourdaud@gmail.com> (supplier of updated cinnamon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 01 Nov 2012 17:49:55 +0100
Source: cinnamon
Binary: cinnamon cinnamon-common cinnamon-dbg
Architecture: source amd64 all
Version: 1.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Changed-By: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>
Description: 
 cinnamon   - Innovative and comfortable desktop
 cinnamon-common - Innovative and comfortable desktop (Common data files)
 cinnamon-dbg - Innovative and comfortable desktop (Debugging symbols)
Closes: 657395
Changes: 
 cinnamon (1.6.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #657395)
Checksums-Sha1: 
 99d23d12247b9ad34672ca85379cff58c89911f5 2370 cinnamon_1.6.2-1.dsc
 8e38fc2b9a891b3b9325e1d08950a910d92ae5b5 3053946 cinnamon_1.6.2.orig.tar.gz
 57b2ffd705a7af32d834b3cc07287a9606bb1e84 7648 cinnamon_1.6.2-1.debian.tar.gz
 73f50cea80f4c4d699583b1726b3403c1c486486 487454 cinnamon_1.6.2-1_amd64.deb
 acb1e080aab06c9faf36acab60a2f1d81033a961 1998466 cinnamon-common_1.6.2-1_all.deb
 270585b9ed460aa1fb954b5f5c3e3974ebc7ec3c 991062 cinnamon-dbg_1.6.2-1_amd64.deb
Checksums-Sha256: 
 dd1c70b714b42fb524ff9a0850ea36d3d9e0b9a44bd27684737ba3b1badd3518 2370 cinnamon_1.6.2-1.dsc
 7d5f929fd1d16437fd1d092e02a62388f7cd630ceeb3a2efe4d97d60ff42acc2 3053946 cinnamon_1.6.2.orig.tar.gz
 787020642b3b19d514bc92e43b64312af7898f7525091d8ae6d980566b9b13da 7648 cinnamon_1.6.2-1.debian.tar.gz
 8fcbac307d9309c04a2947e244828cf360d69ea19c4789283f3bf09ce020f3b3 487454 cinnamon_1.6.2-1_amd64.deb
 be7c2a3037e98811cc8b1710a9bd19719a2b03be3422434af88ceec26afc4791 1998466 cinnamon-common_1.6.2-1_all.deb
 d96de6e8490dcb5df49eb8506f62cc643fd8a670711d1d049663c6fa321c0ffb 991062 cinnamon-dbg_1.6.2-1_amd64.deb
Files: 
 292901cb8f6dbca2a44bc91dcfc3c877 2370 x11 optional cinnamon_1.6.2-1.dsc
 b89c79bfdff08cfce37177ae29572ae2 3053946 x11 optional cinnamon_1.6.2.orig.tar.gz
 c46d232256c4dfb0a04b746aacb08fc1 7648 x11 optional cinnamon_1.6.2-1.debian.tar.gz
 782effc8e5035f3031d0a41e4ef82133 487454 x11 optional cinnamon_1.6.2-1_amd64.deb
 fa28bd13ffd7fe2a4c4b2ecd9a1ab5d9 1998466 x11 optional cinnamon-common_1.6.2-1_all.deb
 9d59d7f26b888177e9101a84b67374f7 991062 debug extra cinnamon-dbg_1.6.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCS2acACgkQMDatjqUaT91QswCgimfXKPRa/ai94PpLpImT9BB9
9YsAn3NZiDnAHxCQCpzxg8EftMN0+h1r
=BeVT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:29:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:40:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.